#!/bin/bash

. ./env

if [ "x$LOGDIR" = "x" -o ! -d "$LOGDIR" ]; then
  echo "correct LOGIDR in ./env"
  exit 1;
fi

if [ -d /var.old ]; then
  rm -rf /var.old
  sh dflog.sh 3
fi

dpkg -l > $LOGDIR/dpkg-l.log

grep "ii  fcitx " $LOGDIR/dpkg-l.log
RETVAL=$?
if [ "$RETVAL" = 0 ]; then
  dpkg --purge fcitx
  sh dflog.sh 4
fi


grep "ii  stardict " $LOGDIR/dpkg-l.log
RETVAL=$?
if [ "$RETVAL" = 0 ]; then
  dpkg --purge stardict stardict-gtk
  rm -f /home/user/desktop/stardict.desktop
fi

grep "ii  stardict-common " $LOGDIR/dpkg-l.log
RETVAL=$?
if [ "$RETVAL" = 0 ]; then
  dpkg --purge stardict-common
  sh dflog.sh 5
fi

echo "done"
